<p>Product list</p>
<table *ngIf="isLoaded">
  <thead>
  <th>Id</th>
  <th>Name</th>
  <th>Quantity</th>
  <th>Origin</th>
  </thead>
  <tbody [formGroup]="productForm">
  <ng-container formArrayName="product">
    <tr *ngFor="let formGroup of myProductForm().controls; index as i" [formGroupName]="i">
      <td>{{ i + 1}}</td>
      <td><input type="text" formControlName="name"></td>
      <td><input type="number" formControlName="quantity"></td>
      <td><input type="text" formControlName="origin"></td>
      <td><a (click)="deleteProductForm( myProductForm().controls[i].get('id')?.value)">Delete</a></td>
    </tr>
  </ng-container>
  </tbody>
</table>
<button (click)="addProductForm(null)">Add</button>
<button (click)="handleSaveAll()">Save All</button>
<button [routerLink]="[ '/product','list']" routerLinkActive="activeLinkClass" type="button">Go back</button>
